---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2020-05-26T14:25:35Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector: {}
    manager: dns-operator
    operation: Update
    time: "2020-05-26T14:25:35Z"
  name: dns-default
  namespace: openshift-dns
  ownerReferences:
  - apiVersion: apps/v1
    controller: true
    kind: DaemonSet
    name: dns-default
    uid: 36c809b7-8e79-4e62-87ac-17e092782955
  resourceVersion: "14925"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-dns/servicemonitors/dns-default
  uid: 238fea22-0a1d-43d8-9498-cfba4f64fbc0
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    path: /metrics
    port: metrics
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: dns-default.openshift-dns.svc
  namespaceSelector:
    matchNames:
    - openshift-dns
  selector: {}
